| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
WheelchairControl.FormManualControl Class Reference

Form for testing purposes - manual motors control. More...

Inherits Form.

## Public Member Functions
delegate void | UARTSend_Delegate (uint[] data)
| Delegate of UART send method of parent form. More...

## Static Public Member Functions
static FormManualControl | GetInstance (SerialPort formMainCOMPort, UARTSend_Delegate sendMethod)
| Singleton instance getter. More...

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Private Member Functions
| FormManualControl (SerialPort formMainCOMPort, UARTSend_Delegate sendMethod)
| Singleton constructor. More...
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
const Byte | STOP_REQUEST_REPEATS = 3
| Stop command repeats. More...
const Byte | RX_DATA_LENGTH = FormMain.RX_DATA_LENGTH
| Command buffer data length. More...
SerialPort | serialPort_formMain
| Parent form serial port. More...
UARTSend_Delegate | UARTSendMethod
| Parent form UART send method deldegate. More...
System.ComponentModel.IContainer | components = null
| Required designer variable. More...

## Static Private Attributes
static FormManualControl | instance = null
| Singleton instance. More...
static Object | singeltonLock = new Object()
| Singleton instance access lock. More...

## Detailed Description

Form for testing purposes - manual motors control.

Definition at line 16 of file FormManualControl.cs.

## Constructor & Destructor Documentation

WheelchairControl.FormManualControl.FormManualControl | ( | SerialPort | formMainCOMPort,
|  | UARTSend_Delegate | sendMethod
| ) |  |
| private

Singleton constructor.

Parameters

  formMainCOMPort | Com port reference.
  sendMethod | UART send method reference.

Definition at line 71 of file FormManualControl.cs.

## Member Function Documentation

override void WheelchairControl.FormManualControl.Dispose | ( | bool | disposing | ) |
| protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file FormManualControl.Designer.cs.

static FormManualControl WheelchairControl.FormManualControl.GetInstance | ( | SerialPort | formMainCOMPort,
|  | UARTSend_Delegate | sendMethod
| ) |  |
| static

Singleton instance getter.

Parameters

  formMainCOMPort | Com port reference.
  sendMethod | UART send method reference.

Returns
  Instance of form.

Definition at line 100 of file FormManualControl.cs.

void WheelchairControl.FormManualControl.InitializeComponent | ( |  | ) |
| private

Required method for Designer support - do not modify the contents of this method with the code editor.

Definition at line 29 of file FormManualControl.Designer.cs.

delegate void WheelchairControl.FormManualControl.UARTSend_Delegate | ( | uint[] | data | ) |

Delegate of UART send method of parent form.

Parameters

  data | Data array to be sent.

## Member Data Documentation

System.ComponentModel.IContainer WheelchairControl.FormManualControl.components = null
| private

Required designer variable.

Definition at line 8 of file FormManualControl.Designer.cs.

FormManualControl WheelchairControl.FormManualControl.instance = null
| static private

Singleton instance.

Definition at line 47 of file FormManualControl.cs.

const Byte WheelchairControl.FormManualControl.RX_DATA_LENGTH = FormMain.RX_DATA_LENGTH
| private

Command buffer data length.

Definition at line 38 of file FormManualControl.cs.

SerialPort WheelchairControl.FormManualControl.serialPort_formMain
| private

Parent form serial port.

Definition at line 57 of file FormManualControl.cs.

Object WheelchairControl.FormManualControl.singeltonLock = new Object()
| static private

Singleton instance access lock.

Definition at line 52 of file FormManualControl.cs.

const Byte WheelchairControl.FormManualControl.STOP_REQUEST_REPEATS = 3
| private

Stop command repeats.

Definition at line 33 of file FormManualControl.cs.

UARTSend_Delegate WheelchairControl.FormManualControl.UARTSendMethod
| private

Parent form UART send method deldegate.

Definition at line 62 of file FormManualControl.cs.

The documentation for this class was generated from the following files:

- C:/Users/Ondra/Desktop/Wheelchair Control/FormManualControl.cs
- C:/Users/Ondra/Desktop/Wheelchair Control/FormManualControl.Designer.cs